com.h3c.sdn.support

## Class ReportContent

- java.lang.Object
- - com.h3c.sdn.support.ReportContent

-     public class ReportContent
      extends Object

  Represents the support report contents provided by a single support report contributor.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReportContent(String id, String title, List<String> content)` Constructs the report content using the supplied id, title and content strings.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getContent()` Returns the list of strings that comprise the contents for this section of the report.
    `String` | `getId()` Returns the internal identification associated with this section of the report.
    `String` | `getTitle()` Returns the title to associate with this section of the report.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReportContent

          public ReportContent(String id,
                       String title,
                       List<String> content)

      Constructs the report content using the supplied id, title and content strings.
      Parameters:
        `id` - the identification for this section of the report
        `title` - the title for this section of the report
        `content` - the content associated with this section of the report

  - ### Method Detail

    - #### getId

          public String getId()

      Returns the internal identification associated with this section of the report.
      Returns:
        the identification

    - #### getTitle

          public String getTitle()

      Returns the title to associate with this section of the report.
      Returns:
        the title

    - #### getContent

          public List<String> getContent()

      Returns the list of strings that comprise the contents for this section of the report.
      Returns:
        the section content as a list of strings

Copyright © 2014. All Rights Reserved.